Download it now!
Bug 95893 - Automatic update check entangled with manual update check feature
Summary: Automatic update check entangled with manual update check feature
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.0.3.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Updates
  Show dependency treegraph
 
Reported: 2015-11-17 23:27 UTC by mipisejili
Modified: 2020-02-21 02:50 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mipisejili 2015-11-17 23:27:53 UTC
This is an enhancement request:

PROBLEM:

During installation, in Custom Setup, there is a feature listed called "Online Update" which is described as "Get automatically notified when a new update of LibreOffice becomes available."

Some users such as myself do not want software to automatically call home all the time (or when you run it, or at whatever frequency the program is going to do it, which based on the above description is unknown to the user) to check for updates.

But they *do* want the ability to manually check for updates.

The problem is, during installation, the only apparent way to prevent Libre Office from automatically checking for updates is to Not install the "Online Update" feature. But, when you do that, the program not only removes the automatic update feature, it also removes the manual check feature.

If you use typical install or choose to install the "Online Update" feature during a custom install, then yes, you can go into Tools, Options, Libre Office, Online Update, and turn off automatic updates, and you will still be able to manually check for updates by going to Help, Check for Updates.

But the user does not know that during the install, and in this case they will never know it because by not installing the Online Update feature, those two menu sections won't be available.


POSSIBLE SOLUTION IDEA 1:

In the installer, change "Online Update" feature to "Automatic Update". Then, have it so that even if the user does not install that feature, Manual update checks will *always* be available in the Help, Check for Updates menu - there's no reason to ever not have that feature since it is manual.


POSSIBLE SOLUTION IDEA 2:

Just change the Feature Description in the installer to say something like "Automatic and/or Manual checking for new versions of Libre Office (automatic updates can still be disabled even if you install this feature)"
Comment 1 Buovjaga 2015-11-18 09:16:16 UTC
Well, I'll set to NEW, although I don't know, how the completion of this would change things: https://wiki.documentfoundation.org/Development/GSoC/Ideas#Reuse_Mozilla.27s_rolling_update_mechanism_for_LibreOffice
Comment 2 QA Administrators 2017-01-03 19:37:04 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2020-02-21 02:50:22 UTC
Dear mipisejili,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug